From 58747108a78a5767d678c0a69d64a98e02c2bee5 Mon Sep 17 00:00:00 2001
From: barracuda156 <vital.had@gmail.com>
Date: Fri, 3 Nov 2023 14:02:45 +0800
Subject: [PATCH 2/5] mac/scoped*: do not use objc types when unsupported

---
 src/base/mac/scoped_cftyperef.h | 2 ++
 src/base/mac/scoped_typeref.h   | 2 ++
 2 files changed, 4 insertions(+)

diff --git src/base/mac/scoped_cftyperef.h src/base/mac/scoped_cftyperef.h
index a602fd9c..2631cd53 100644
--- src/base/mac/scoped_cftyperef.h
+++ src/base/mac/scoped_cftyperef.h
@@ -9,6 +9,7 @@
 
 #include "base/mac/scoped_typeref.h"
 
+#if defined(__OBJC__)
 namespace base {
 
 // ScopedCFTypeRef<> is patterned after std::unique_ptr<>, but maintains
@@ -45,4 +46,5 @@ using ScopedCFTypeRef =
 
 }  // namespace base
 
+#endif
 #endif  // BASE_MAC_SCOPED_CFTYPEREF_H_
diff --git src/base/mac/scoped_typeref.h src/base/mac/scoped_typeref.h
index 034ed902..cab6374e 100644
--- src/base/mac/scoped_typeref.h
+++ src/base/mac/scoped_typeref.h
@@ -9,6 +9,7 @@
 #include "base/logging.h"
 #include "base/memory/scoped_policy.h"
 
+#if defined(__OBJC__)
 namespace base {
 
 // ScopedTypeRef<> is patterned after std::unique_ptr<>, but maintains ownership
@@ -135,4 +136,5 @@ class ScopedTypeRef {
 
 }  // namespace base
 
+#endif
 #endif  // BASE_MAC_SCOPED_TYPEREF_H_
